﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace Spread_ASP_Border
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {
                return;
            }

            this.FpSpread1.OpenExcel(this.Server.MapPath("培训效果反馈表.xls"));
            this.FpSpread1.Sheets[0].AllowPage = false;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            //获取最后一个不为空的行例索引
            int rowCount = this.FpSpread1.Sheets[0].NonEmptyRowCount;
            int colCount = this.FpSpread1.Sheets[0].NonEmptyColumnCount;

            //遍历设置 Cell 边框大小
            for (int i = 0; i < rowCount; i++)
            {
                for (int j = 0; j < colCount; j++)
                {
                    if (this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderStyleBottom == BorderStyle.Solid)
                    {
                        this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderSizeBottom = 1;
                    }
                    if (this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderStyleLeft == BorderStyle.Solid)
                    {
                        this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderSizeLeft = 1;
                    }
                    if (this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderStyleRight == BorderStyle.Solid)
                    {
                        this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderSizeRight = 1;
                    }
                    if (this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderStyleTop == BorderStyle.Solid)
                    {
                        this.FpSpread1.Sheets[0].Cells[i, j].Border.BorderSizeTop = 1;
                    }
                }
            }
        }

    }
}